var accion = document.editarEdificioForm.accion.value;	

$( document ).ready(function() {
	$("input[type=text]").attr("readonly","readonly");
	$("input[type=checkbox]").attr("disabled","disabled");
	

	
	$("#feini").rup_date ();	
    
    
    
    //Formatear la fecha 
    if ($("#feini").val()!=""){
        var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#feini").rup_date("setDate", fechaIni);
    }

    if (accion == "NUEVO") {
		
	}  else { // estamos en modificar
		  $("#botoneraModificar").show();
	       
	       buscaTecnicos(); // rellenamos los combos de tecnicos

	}
    
	$("#idedificio").attr('disabled','disabled');
	
	//Se Crea el combo de seleccion de territorios
	$('#territorioCombo').rup_combo({
		source : [
				{i18nCaption: $.rup.i18n.app.territorios._blank, value:""},
				{i18nCaption: $.rup.i18n.app.territorios.p1, value:"1"},
				{i18nCaption: $.rup.i18n.app.territorios.p20, value:"20"},
				{i18nCaption: $.rup.i18n.app.territorios.p48, value:"48"}
		         ],
		width: 100,
		selected: $("#idterritorio").val(),
		orderedByValue: true,
		style : "dropdown"	,
		disabled : true
	});
	
	$("#bt_general").hide();
	
	//Dialogo con el mensaje y barra de sincronizar con gmao...
	$("#dialogoSincronizar").rup_dialog(
	{
		type : $.rup.dialog.DIV,
		height : 200,
		width : 500,
		modal : true,
		showLoading : true,
		autoOpen : false,
		title : $.rup.i18n.app.mensajesEdificios.sincronizando
	});
	

/**************************************************************************************************************************/
/********************************* BOTON cargarEstructura  ****************************************************************/
/**************************************************************************************************************************/
$("#bt_estructura").bind("click", cargarEstructura);

function cargarEstructura(){
	$("#bt_guardar").hide();
	$("#bt_general").show();
	$("#bt_estructura").hide();
	
	// ocultar el div generalEdificio y mostrar el div estructuraEdificio
	$("#estructuraEdificio").show();
	$("#generalEdificio").hide();
	
	buscaZonas();
	
}

function buscaZonas() {
	var codEdificio = $("#idedificio").val();
	$("#plantasLibres").empty();
	$("#plantasOcupadas").empty();
	
	$.ajax({
		  type: "POST",
		  url: "../edifestruc/buscaZonasLibres",
		  data:  { codEdificio:codEdificio
		  },
		  success: function(data){
			  var miselect=$("#zonasLibres");
			  $("#zonasLibres").empty();
                for (var i=0; i<data.length; i++) {
                	var descripcion = "";
                	if ($.rup_utils.capitalizedLang() =="Es") {	
                		descripcion = data[i].czona;
                	} else {
                		descripcion = data[i].ezona;
                	}
                	miselect.append('<option value="' + data[i].idzona + '">' + descripcion + '</option>');
                }								  
			  },
		  dataType: "json"
		});
	
	$.ajax({
		  type: "POST",
		  url: "../edifestruc/buscaZonasOcupadas",
		  data:  { codEdificio:codEdificio
		  },
		  success: function(data2){
			  var miselect2=$("#zonasOcupadas");
			  $("#zonasOcupadas").empty();
                for (var i=0; i<data2.length; i++) {
                	var descripcion2 = "";
                	if ($.rup_utils.capitalizedLang() =="Es") {	
                		descripcion2 = data2[i].czona;
                	} else {
                		descripcion2 = data2[i].ezona;
                	}
                    miselect2.append('<option value="' + data2[i].idzona + '">' + descripcion2 + '</option>');
                }								  
			  },
		  dataType: "json"
		});
  }

$("#siguienteZonas").bind("click", confirmarSumaZonas);
$("#anteriorZonas").bind("click", confirmarRestaZonas);
$("#siguientePlantas").bind("click", confirmarSumaPlantas);
$("#anteriorPlantas").bind("click", confirmarRestaPlantas);

function confirmarSumaZonas (){
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
		message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaZona"),
		OKFunction: function(){
			sumaZonas();		
		},
		CANCELFunction : function(){
		}
		});
}

function confirmarRestaZonas (){
	//Comprobar si tiene plantas asociadas a esa Edificio/zona
	if ($('#plantasOcupadas option').length>0 ){
		//La Zona tiene plantas asociadas.
		$.rup_messages("msgAlert", { 
 			title: $.rup.i18n.app.comun.control,
	 		message: $.rup.i18n.app.mensajesEdificios.zonaTienePlantas
	 	});
		return;
	}
	
	var mensajeConfir="";
	//Comprobar si hay partes asociados a ese Edificio/Zona
	var codEdificio = $("#idedificio").val();
	var zonasSeleccionadas = $('#zonasOcupadas').val();
	if (zonasSeleccionadas == null) { 
		mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.debeSeleccionarBaja + "</strong></p>");
		return ; }
	$.ajax({
		  type: "POST",				  
		  url: "../partes/tienenParteZonas",
		  data:  { codEdificio:codEdificio,zonasSeleccionadas:formaArrayJson(zonasSeleccionadas)
		  },
		  success: function(dataParteZonas){
			  if (dataParteZonas!=""){
					//La Zona tiene partes asociados. No se puede desasignar.
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: $.rup.i18n.app.mensajesEdificios.zonaTienePartes + dataParteZonas
				 	});
					return;
			  }else{
				  //Comproba si tiene planos asociados a la zona
					$.ajax({
						  type: "POST",				  
						  url: "../planos/edificioZonaTienePlanos",
						  data:  { codEdificio:codEdificio,zonasSeleccionadas:formaArrayJson(zonasSeleccionadas)
						  },
						  success: function(dataTienePlanos){
							  if (dataTienePlanos==true){
								  mensajeConfir=$.rup.i18n.app.mensajesEdificios.edificioZonaTienePlanos;
							  }else{
								  mensajeConfir=$.rup.i18n.app.mensajesEdificios.restaZona;
							  }
							  //Pedir confirmación para desaociar las zonas y/o Planos
								$.rup_messages("msgConfirm", {
									title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
									message: mensajeConfir,
									OKFunction: function(){
										restaZonas();		
									},
									CANCELFunction : function(){
									}
									});
						  		},
						  error: function() {
								$.rup_messages("msgAlert", { 
						 			title: $.rup.i18n.app.comun.control,
							 		message: "Error al dar de baja. edificioZonaTienePlanos"
							 	});
								  return false;
							  },
						  dataType: "json"
						});
			  }},
		  error: function() {
				$.rup_messages("msgAlert", { 
		 			title: $.rup.i18n.app.comun.control,
			 		message: "Error al dar de baja. tienenParteZonas"
			 	});
				  return false;
			  },
		  dataType: "json"
		});
	
	return;
}

function formaArrayJson (lista) {

	var listaJson = "";
	for (i=0; i<lista.length; i++ ) {
		listaJson += lista[i];			
		if (i!= (lista.length - 1) ) {
			listaJson += ",";
		}		
	}			
	return listaJson;
}

function sumaZonas () {	
	var codEdificio = $("#idedificio").val();
	var zonasSeleccionadas = $('#zonasLibres').val();
		
	
	$.ajax({
		  type: "POST",				  
		  url: "../edifestruc/sumaZonas",
		  data:  { codEdificio:codEdificio,zonasSeleccionadas:formaArrayJson(zonasSeleccionadas)
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
				$("#dialogoSincronizar").rup_dialog("open");
			},
		  success: function(data4){		
			  $("#dialogoSincronizar").rup_dialog("close");
			  $("#error").rup_feedback("hide");
			  buscaZonas();
			  /*
			  !$('#zonasLibres option:selected').remove().appendTo('#zonasOcupadas');
			  // deseleccionamos los combos
			  $("#zonasLibres").val([]);
			  $("#zonasOcupadas").val([]);
			  */
			  },
		  error: function() {
			  $("#dialogoSincronizar").rup_dialog("close");
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
		  },
		  dataType: "json"
		});
}


function restaZonas () {
	var codEdificio = $("#idedificio").val();
	var zonasSeleccionadas = $('#zonasOcupadas').val();
	if (zonasSeleccionadas == null) { 
		mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.debeSeleccionarBaja + "</strong></p>");
		return ; }
	$.ajax({
		  type: "POST",				  
		  url: "../edifestruc/restaZonas",
		  data:  { codEdificio:codEdificio,zonasSeleccionadas:formaArrayJson(zonasSeleccionadas)
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
				$("#dialogoSincronizar").rup_dialog("open");
			},
		  success: function(data4){	
			  $("#dialogoSincronizar").rup_dialog("close");
			  $("#error").rup_feedback("hide");
			  buscaZonas();
			  /*
			  $("#plantasLibres").empty();
			  $("#plantasOcupadas").empty();
			  
			  !$('#zonasOcupadas option:selected').remove().appendTo('#zonasLibres');
			  // deseleccionamos los combos
			  $("#zonasLibres").val([]);
			  $("#zonasOcupadas").val([]);
			  */
			  },
			  error: function() {
				  $("#dialogoSincronizar").rup_dialog("close");
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadoEnUso + "</strong></p>");
			  },
		  dataType: "json"
		});
}

// Al hacer doble click en una zona aparecen las plantas
$("#zonasOcupadas").click(buscaPlantas);

function buscaPlantas () {
	var codEdificio =$("#idedificio").val();
	var codZona = $("#zonasOcupadas").val()[0];
	
	$.ajax({
		  type: "POST",
		  url: "../edifestruc/buscaPlantasLibres",
		  data:  { codEdificio:codEdificio,codZona:codZona
		  },
		  success: function(data3){
			  var miselect=$("#plantasLibres");
			  $("#plantasLibres").empty();
                for (var i=0; i<data3.length; i++) {
                	var descripcion = "";
                	if ($.rup_utils.capitalizedLang() =="Es") {	
                		descripcion = data3[i].cplanta;
                	} else {
                		descripcion = data3[i].eplanta;
                	}
                	miselect.append('<option value="' + data3[i].idplanta + '">' + descripcion + '</option>');
                }								  
			  },
		  dataType: "json"
		});
	
	$.ajax({
		  type: "POST",
		  url: "../edifestruc/buscaPlantasOcupadas",
		  data:  { codEdificio:codEdificio,codZona:codZona
		  },
		  success: function(data4){
			  var miselect=$("#plantasOcupadas");
			  $("#plantasOcupadas").empty();
                for (var i=0; i<data4.length; i++) {
                	var descripcion = "";
                	if ($.rup_utils.capitalizedLang() =="Es") {	
                		descripcion = data4[i].cplanta;
                	} else {
                		descripcion = data4[i].eplanta;
                	}
                	miselect.append('<option value="' + data4[i].idplanta + '">' + descripcion + '</option>');
                }								  
			  },
		  dataType: "json"
		});
}

function confirmarSumaPlantas (){
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
		message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaPlanta"),
		OKFunction: function(){
			sumaPlantas();		
		},
		CANCELFunction : function(){
		}
		});
}

function confirmarRestaPlantas (){
	//Comprobar si hay partes asociados a ese Edificio/Zona/Planta
	var codEdificio = $("#idedificio").val();
	var codZona = $("#zonasOcupadas").val()[0];
	var plantasSeleccionadas = $('#plantasOcupadas').val();
	if (plantasSeleccionadas == null) { 
		mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.debeSeleccionarBaja + "</strong></p>");
		return ; }
	
	var mensajeConfir="";
	$.ajax({
		  type: "POST",				  
		  url: "../partes/tienenParteZonaPlanta",
		  data:  { codEdificio:codEdificio,codZona:codZona,plantasSeleccionadas:formaArrayJson(plantasSeleccionadas)
			  },
		  success: function(dataParteZonaPlantas){
			  if (dataParteZonaPlantas!=""){
					//La Zona tiene partes asociados. No se puede desasignar.
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: $.rup.i18n.app.mensajesEdificios.plantaTienePartes + dataParteZonaPlantas
				 	});
					return;
			  }else{

				  //Comproba si tiene planos asociados al edificio/Zona/Planta seleccionadas
					$.ajax({
						  type: "POST",				  
						  url: "../planos/edificioZonaPlantaTienePlanos",
						  data:  { codEdificio:codEdificio,codZona:codZona,plantasSeleccionadas:formaArrayJson(plantasSeleccionadas)
						  },
						  success: function(dataPlantaTienePlanos){
							  if (dataPlantaTienePlanos==true){
								  mensajeConfir=$.rup.i18n.app.mensajesEdificios.edificioZonaPlantaTienePlanos;
							  }else{
								  mensajeConfir=$.rup.i18n.app.mensajesEdificios.restaPlanta;
							  }
							  //Pedir confirmación para desaociar las plantas y/o Planos
								$.rup_messages("msgConfirm", {
									title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
									message: mensajeConfir,
									OKFunction: function(){
										restaPlantas();		
									},
									CANCELFunction : function(){
									}
									});
						  		},
						  error: function() {
								$.rup_messages("msgAlert", { 
						 			title: $.rup.i18n.app.comun.control,
							 		message: "Error al dar de baja. edificioZonaPlantaTienePlanos"
							 	});
								  return false;
							  },
						  dataType: "json"
						});
			  }},
		  error: function() {
				$.rup_messages("msgAlert", { 
		 			title: $.rup.i18n.app.comun.control,
			 		message: "Error al dar de baja. tienenParteZonaPlanta"
			 	});
				  return false;
			  },
		  dataType: "json"
		});

}

function sumaPlantas () {
	var codEdificio = $("#idedificio").val();
	var codZona = $("#zonasOcupadas").val()[0];
	var plantasSeleccionadas = $('#plantasLibres').val();

	
	$.ajax({
		  type: "POST",				  
		  url: "../edifestruc/sumaPlantas",
		  data:  { codEdificio:codEdificio,codZona:codZona,plantasSeleccionadas:formaArrayJson(plantasSeleccionadas)
		  },
		  success: function(data4){	
			  $("#error").rup_feedback("hide");
			  	!$('#plantasLibres option:selected').remove().appendTo('#plantasOcupadas');
			  	 // deseleccionamos los combos
			  	$("#plantasLibres").val([]);
				$("#plantasOcupadas").val([]);
			  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
		  dataType: "json"
		});
}

function restaPlantas () {
	var codEdificio = $("#idedificio").val();
	var codZona = $("#zonasOcupadas").val()[0];
	var plantasSeleccionadas = $('#plantasOcupadas').val();
	
	if (plantasSeleccionadas == null) { 
		mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.debeSeleccionarBaja + "</strong></p>");
		return ; }
		
	$.ajax({
		  type: "POST",				  
		  url: "../edifestruc/restaPlantas",
		  data:  { codEdificio:codEdificio,codZona:codZona,plantasSeleccionadas:formaArrayJson(plantasSeleccionadas)
		  },
		  success: function(data4){					 
			  $("#error").rup_feedback("hide");	
			  !$('#plantasOcupadas option:selected').remove().appendTo('#plantasLibres');
			  // deseleccionamos los combos
			  $("#plantasLibres").val([]);
			   $("#plantasOcupadas").val([]);
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadoEnUso + "</strong></p>");
			  },
		  dataType: "json"
		});
}

/**************************************************************************************************************************/
/********************************* FIN BOTON cargarEstructura  ****************************************************************/
/**************************************************************************************************************************/


/********************************* BOTON general  ****************************************************************/
$("#bt_general").bind("click", cargarGeneral);

function cargarGeneral(){
	$("#bt_guardar").show();
	$("#bt_general").hide();
	$("#bt_estructura").show();
	// ocultar el div generalEdificio y mostrar el div estructuraEdificio
	$("#estructuraEdificio").hide();
	$("#generalEdificio").show();

}

/********************************* FIN BOTON cargarEstructura  ****************************************************************/

	
/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarModificar);
	
	function compruebaSiExiste() {}
	
	function compruebaSiEstaActivo(operacion) {}
	
	// Guarda nuevo
	function guardarPersonal() {}
	
	
	/* Vuelve a la misma pantalla lista para modificar */
	function fncDetalleVigilante () {}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){				
				modificarEdificio();
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarEdificio () {
		
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		var properties={
				url:"../edificios/modificarEdificio",
				feedback:$("#feedbackEditarEdificio"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");
					 //Refrescamos las listas de tecnicos por si ha dado de baja el edificio.
					 buscaTecnicos();
				 },
				 validate: {
					 rules: {
						 "idedificio":{required:true},
							"cedificio":{required:true},
							"eedificio":{required:true},
							"redificio":{required:true},
							"feini" : {required:true,date:true}
					 }
				 }
				};
				$("#editarEdificioForm").rup_form(properties);
				
				$("#editarEdificioForm").submit();
			
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	function volver(){
		
		if ($("#ventanaOrigen").val()=="tecnicosEdificios"){
			window.location = "/aa20bMaqPartesWar/tecnicoedif/maintVolver";	
		}else if ($("#ventanaOrigen").val()=="mantEdificios"){
			window.location = "/aa20bMaqPartesWar/edificios/maintVolver";	
		}else{
			history.back();	
		}
		
	}
	/********************************* FIN VOLVER  ****************************************************************/
	

	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){}
	/********************************* FIN BOTON NUEVO  ****************************************************************/

	/********************************* BOTON BORRAR  ****************************************************************/
	// param1=1 -->venimos del listado inicial
	$("#bt_borrar").bind("click", {param1:1},confirmarBorrar);
	function confirmarBorrar (event){}
	
	function compruebaSiHayIncidenciaBorrar(valor) {}
	
	function borrarVigilante(valor) {}

	/********************************* FIN BOTON BORRAR  ****************************************************************/
	
	/********************************* TECNICOS ************************************************/
	
	function buscaTecnicos() {
		var codigoEdificio = $("#idedificio").val();
		$("#tecnicosLibres").empty();
		$("#tecnicosOcupados").empty();
		
		$.ajax({
			  type: "POST",
			  url: "../tecnicos/obtenerTecnicosLibres",
			  data:  { idedificio:codigoEdificio},
			  success: function(data){
				  $("#tecnicosLibres").empty();
                  var miselect=$("#tecnicosLibres");
                  for (var i=0; i<data.length; i++) {
  			  		if(data[i].presente){
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
  			  		}else{
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
  			  		}
  			  	}									  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
		$.ajax({
			  type: "POST",
			  url: "../tecnicos/obtenerTecnicosOcupados",
			  data:  { idedificio:codigoEdificio},
			  success: function(data){
				  $("#tecnicosOcupados").empty();
                  var miselect=$("#tecnicosOcupados");
                  for (var i=0; i<data.length; i++) {
  			  		if(data[i].presente){
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
  			  		}else{
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
  			  		}
  			  	}									  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
	  }
		
	
	$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
	$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);
	
	function confirmarSumaTecnicos(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaTecnico"),
			OKFunction: function(){
				sumaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function confirmarRestaTecnicos (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.restaTecnico"),
			OKFunction: function(){
				restaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	function sumaTecnicos() {
		var codigoEdificio = $("#idedificio").val();
		var tecnicosSeleccionados = $('#tecnicosLibres').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/sumaTecnicos",
			  data:  { idedificio:codigoEdificio,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosOcupados'); 		  
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaTecnicos() {
		var codigoEdificio = $("#idedificio").val();
		var tecnicosSeleccionados = $('#tecnicosOcupados').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/restaTecnicos",
			  data:  { idedificio:codigoEdificio,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
		
	}
 /********************** FIN EDIFICIOS *********************************/
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	
   		$("#feedbackEditarEdificio").rup_feedback (properties);

   		$("#feedbackEditarEdificio").rup_feedback("set", texto);

   		$("#feedbackEditarEdificio").rup_feedback("show");
	}
	
	function mensajeError (texto) {
		 var properties = {
  				type: "error",
  				fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: false
  			};

  		$("#feedbackEditarEdificio").rup_feedback (properties);

  		$("#feedbackEditarEdificio").rup_feedback("set", texto);

  		$("#feedbackEditarEdificio").rup_feedback("show");
	}
	
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	/******************** VALIDACIONES DE FORMULARIO ************************************/

	function validarFormulario () {}
		
	
	/******************* FIN VALIDACIONES DE FORMULARIO *********************************/

	function validacionFechas(){}
	
	function validateDate(obj){}

	// Esto es necesario para que salgan los mensajes de validacion de uda
	jQuery("#feedbackEditarEdificio").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:false          
		  }); 
	
	
});	    



function valida(e){
	var charCode = !e.charCode ? e.which : e.charCode;
	//La tecla / no está permitida en este campo porque si no casca al hacer las jerarquias en el mantenimiento de Planos.
	if (charCode==47){
		return false;
	}
	return;
}